# Light Editor Plugin

This unofficial TaleSpire plugin allows you to modify the configuration of
Light Plugin objects, apply them and even save then back to the configuration
file. All Lights affected are immediately updated on Apply or Save.
 
## Change Log

```
1.1.0: Migrated to Asset Data Plugin.
1.0.0: Initial release
```

## Install

Install using R2ModMan.


## Usage

1. Select a asset (mini or converted prop) which has a Light Plugin objtec attached
(this editor does not work on core light).
2. Press the keyboard shortcut for the Light Editor (default RCTRL+K)
3. Use the editor to modify the light settings.
4. The color icon before color entries can be used to open a color picker.
5. Cancel, Apply or Save the changes.

``Cancel``: No modifications are written to the configuration file and corresponding
lights are resoreed back to their configuration values (i.e. effects of any apply
are undone). This option closed the Config Editor.

``Apply``: The current Light Editor values are applied to the corresponding lights
but the values are not written to the configuration file. This open leaves the Config
Editor open.

``Save``: The current Light Editor values are applied to the corresponding lights and
written to the corresponding LightSpecs.json configuration file. This option closed the
Config Editor.